<script>
    setTimeout(() => {
        document.querySelector('.added-product').style.animationName = 'finish'
        document.querySelector('.added-product').style.animationDuration = '2s'
    }, 3000)
    setTimeout(() => {
        document.querySelector('.added-product').style.display = 'none'
    }, 5000)
</script>
{% extends 'index.html' %}
{% block success_tag %}
    {% if deleted %}
        <div class="added-product" id="trigger">The products have been successfully deleted</div>
    {% endif %}
{% endblock %}
{% block cart %}
    {% if crt %}
        <div class="checkout"><br>
            <button class="button-mull"><a href="{% url 'order' %}">Proceed to checkout</a></button>
            <div class="in-checkout">
                Total: {{ total }} lei <br>
                VAT: {{ VAT }} lei <br>
                {% if shipment == "FREE" %}
                    Shipment: {{ shipment }} <br> <br>
                {% else %}
                    Shipment: {{ shipment }} lei<br> <br>
                {% endif %}
                <input type="hidden">
            </div>
        </div>
    {% endif %}
{% endblock %}
{% block content %}
    {% if crt %}
        <div class="cart">
            <div class="content-wrapper">
                <div>
                    <div class="head">
                        <div class="columns" id="left-col">
                            Shopping cart
                        </div>
                        <div class="columns" id="right-col">
                            Price
                        </div>
                    </div>
                    <table>
                        <tbody>
                        {% for prd in crt %}
                            <tr>
                                <td><img src="{{ prd.img.url }}" alt="image" id="image_prod"></td>
                                <td>
                                    <div class="middle-content">
                                        {{ prd.name }} <br>
                                        <form action="{% url 'cart_qu' %}" method="get">
                                            <label>
                                                Quantity: <input type="number" name="quantity" min="1"
                                                                 value="{{ prd.quantity }}"
                                                                 max="{{ prd.prod_id.quantity }}">
                                                <input type="hidden" name="{{ prd.pk }}">
                                            </label>
                                        </form>
                                        <br>
                                        <a href="{% url "increment" prd.pk %}">
                                            <button>+</button>
                                        </a>
                                        <a href="{% url "decrement" prd.pk %}">
                                            <button>-</button>
                                        </a> <br>
                                        <a href="{% url 'cart_delete' prd.pk %}">Delete</a>
                                    </div>
                                </td>
                                <td id="price"> {{ prd.price }} lei</td>
                            </tr>
                        {% endfor %}

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="paginator-block" style="margin-bottom: 30px;">
            <ul>
                {% if crt.has_previous %}
                    <a class="inactive-page" href="?page={{ 1 }}" aria-label="Previous">
                        &laquo;
                    </a>
                {% endif %}
                {% if crt.number|add:'-4' > 1 %}
                    <a class="inactive-page" href="?page={{ crt.number|add:'-6' }}">&hellip;</a>
                {% endif %}
                {% for n in crt.paginator.page_range %}
                    {% if crt.number == n %}

                        <a class="active-page">{{ n }}</a>
                    {% elif n > crt.number|add:'-5' and n < crt.number|add:'5' %}

                        <a class="inactive-page" href="?page={{ n }}">{{ n }}</a>

                    {% endif %}
                {% endfor %}
                {% if crt.paginator.num_pages > crt.number|add:'5' %}
                    <a class="inactive-page" href="?page={{ crt.number|add:'6' }}">&hellip;</a>
                {% endif %}
                {% if crt.has_next %}
                    <a class="inactive-page" href="?page={{ crt.paginator.num_pages }}" aria-label="Next">
                        &raquo;
                    </a>
                {% endif %}
            </ul>

        </div>
         {% if crt|length > 1 %}
                    <div class="delete-all"><a href="{% url 'cart-delete-all' %}" class="button-mull">Empty your cart</a></div>
                {% endif %}
    {% elif error %}
        <p style="margin-top:100px;">{{ error }}</p>
    {% else %}
        <p style="margin-top:100px;">Your cart is empty</p>
    {% endif %}


{% endblock %}